%define _disable_ld_no_undefined 1

Name:           pspp
Version:        1.2.0
Release:       %mkrel 1
Summary:     A program for statistical analysis of sampled data
Group:          Sciences/Mathematics
License:        GPL-3.0+
URL:            http://www.gnu.org/software/pspp/
Source0:        ftp://ftp.gnu.org/pub/gnu/pspp/%name-%version.tar.xz
#----------------------------------------------------------------------------
BuildRequires: gawk
BuildRequires: gettext
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gsl-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtksourceview2-2.0_0-devel
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: make
BuildRequires: mktemp
BuildRequires: multiarch-utils
BuildRequires: perl-devel
BuildRequires: postgresql9.6-devel
BuildRequires: texinfo
#----------------------------------------------------------------------------

%description
PSPP is a program for statistical analysis of sampled data. It
is a free replacement for the proprietary program SPSS.

PSPP development is ongoing. It already supports a large subset of
SPSS's syntax. Its statistical procedure support is currently
limited, but growing. At your option, PSPP will produce statistical
reports in ASCII, PostScript, PDF, HTML, SVG, or OpenDocument formats.


%prep
%setup -q

%build 
export CFLAGS="${CFLAGS:-%optflags} -fgnu89-inline"

%configure2_5x  --without-gui --disable-relocatable --disable-static --disable-rpath --disable-anachronistic-dependencies --without-libreadline-prefix

             
%make CFLAGS='%{optflags}'


%install
rm -rf %buildroot

make install DESTDIR=%buildroot

%find_lang pspp

%files -f pspp.lang
%defattr(-,root,root,-)
%{_bindir}/pspp
%{_bindir}/pspp-convert
%{_bindir}/pspp-dump-sav
%{_libdir}/pspp
%{_datadir}


%changelog
* Thu Oct 24 2019 tex - 1.2.0-1pclos2019
- new version

* Thu Oct 24 2019 tex - 0.10.2-2pclos2019
- rebuild against updates

* Wed Jan 04 2017 bb <bb> 0.10.2-1pclos2017
- new version
- rebuild for new gsl

* Tue Mar 03 2015 bb <bb> 0.8.0-1pclos2015
- create package
